--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Manage a request-id in the range 1..2**31-1
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: MAX_REQUEST_ID
  value: 2**31
full_name: SNMP::RequestId
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: force_next
- !ruby/object:RI::MethodSummary 
  name: next
name: RequestId
superclass: Object
